JOURNAL_FORGET(9)

NAME
journal_forget - bforget for potentially-journaled buffers.

SYNOPSIS

int journal_forget (handle_t * handle, struct buffer_head * bh);

ARGUMENTS

handle
    transaction handle

bh  bh to 'forget'

DESCRIPTION

We can only do the bforget if there are no commits pending against the buffer. If the buffer is dirty in the current running transaction we can safely unlink it.

bh may not be a journalled buffer at all - it may be a non-JBD buffer which came off the hashtable. Check for this.

Decrements bh->b_count by one.

Allow this call even if the handle has aborted --- it may be part of the caller's cleanup after an abort.

AUTHORS
Roger Gammans <rgammans@computer-surgery.co.uk>, Stephen Tweedie <sct@redhat.com>.